<template>
    <div class="main">
        <h1>VueJs - App Meteo</h1>
        <div class="form">
            <label for="geopos">Entrer un nom de ville</label><br>
            <input
            id="geopos"
            type="text"
            v-model="request"
            @keypress.enter="getMeteo"
            >
        </div>

        <div class="infos" v-if="temps">
            <h2>{{ temps.name }}</h2>
            <div class="weather_info">
                <div class="bloc_info_1">
                    <p>{{ this.weather_label }}</p>
                    <p>Température : {{ temps.main.temp }}°</p>
                    <p>Ressenti : {{ temps.main.feels_like }}°</p>
                    <p>Humidité : {{ temps.main.humidity }}%</p>
                </div>
                <img class="fit-picture"
                :src="require(`../assets/${this.weather}.png`)"
                alt="cloud"
                height=220
                width=220>
            </div>
        </div>

    </div>
</template>

<script>

import axios from 'axios'

export default {
    name: 'MeteoComponent',
    data(){
        return{
            request: '',
            temps: undefined,
            api_key : '97d57432641f8efc8e2681a3c050694b',
            api_call : 'https://api.openweathermap.org/data/2.5/weather?',
            weather: '',
            weather_label: ''
        }
    },
    methods: {
        getMeteo(){
            axios
            .get(`${this.api_call}q=${this.request}&units=metric&APPID=${this.api_key}&lang=fr`)
            .then(reponse=>{
                this.temps = reponse.data;

                switch(this.temps.weather[0].description){
                    case 'nuageux':
                        this.weather = 'cloud';
                        break;
                    case 'couvert':
                        this.weather = 'cover';
                        break;
                    case 'peu nuageux':
                        this.weather = 'lowcloud';
                        break;
                    case 'partiellement nuageux':
                        this.weather = 'somecloud';
                        break;
                    case 'ciel dégagé':
                        this.weather = 'sun';
                        break;
                    case 'légère pluie':
                        this.weather = 'lowrain';
                        break;
                    case 'bruine':
                        this.weather = 'lowrain';
                        break;
                    case 'chutes de neige':
                        this.weather = 'snow';
                        break;
                    case 'pluie modérée':
                        this.weather = 'rain';
                        break;
                    case 'brume':
                        this.weather = 'brume';
                        break;
                    case 'brouillard':
                        this.weather = 'brume';
                        break;
                    default:
                        this.weather= 'nodata';
                }

                this.weather_label = this.temps.weather[0].description[0].toUpperCase() + this.temps.weather[0].description.slice(1);

            })
            this.request = ''
        }
    }
}

</script>

<style>

.main{
    display: flex;
    flex-direction: column;
    align-items:center;
    margin-left: auto;
    margin-right: auto;
    width: 40%;
    min-width: 600px;
    margin-top: 40px;
    padding: 40px;
    padding-top: 60px;
    padding-bottom: 60px;
    background-color: #F0F0F0;
    border-radius: 20px;
    box-shadow: 1px 1px 12px black;
}

h1{
    margin: 0;
    margin-bottom: 30px;
    font-size: 3em;
    font-family: OpenSans-Bold;
    color: #505050;
}

.form{
    display:flex;
    flex-direction: column;
    width: 100%;
    align-items:center;
}

label{
    font-size: 1.2em;
    font-family: OpenSans-Bold;
    color: #505050;
}

input{
    width:40%;
    height: 34px;
    font-size: 1.1em;
    font-family: OpenSans;
    color: #505050;
}

.infos{
    display:flex;
    flex-direction: column;
    width: 100%;
    align-items:center;
    margin-top:50px;
}

.infos h2{
    font-size: 1.6em;
    font-family: OpenSans-Bold;
    color: #505050;
    margin: 0px;
    margin-bottom: 30px;
}

.weather_info{
    display:flex;
    width: 100%;
    justify-content:space-evenly;
    align-items: center;
}

.bloc_info_1 p{
    font-size: 1.1em;
    font-family: OpenSans;
    display: flex;
    flex-direction: column;
}

</style>